Contribute
Register

2012 5,1 MAC PRO Nvidia 980ti patch problem

Joined
Jun 11, 2020
Messages
1
Motherboard
5,1 Macpro 2012
CPU
306 dual processors 12 cores
Graphics
Nvidia GTX 980ti OR Radion 5770
Hi,

I am new to this forum. I discovered it while researching workaround solutions for incompatibility issues with High Sierra's newest build while installing the Nvidia Web patch for the correct drivers. I get a dialog that says the patch is not "compatible," and it won't install. I know there's a difference between the Cuda download and the Web download.

I found this link but it was over my head:

Please take the time to review the below copy of my thread with Nvidia support on this issue. The new driver that they described does not help. I have just upgraded to High Sierra from Sierra, which supported my 980ti with their patch, no problem. I am not very confident with working in Terminal and I'm looking for real time support in this workaround. Note that I can only download the driver when my old radeon 5770 is installed because I GET BLACK SCREENS when the 980 is installed without the patch. I use Screen Sharing on another 5,1 Mac Pro but the screen sharing is disabled when the Nvidia patch on the target computer doesn't load. I was thinking of downloading the patch to an external drive and then trying to open the installer in the Radeon-driven host MAC.

I probably just don't have enough experience with this. I'd hate to have my previously reliable unflashed 980ti become a brick because I upgraded to High Sierra. Nvidia acknowledges that there IS NO patch for Mojave. Here is the thread:

"I have just upgraded my 2012 Mac Pro to High Sierra from Sierra. My High Sierra build number is 17G66 (I see that “65" is the latest on your site). I get a dialog when installing any of your driver packages that says that it’s incompatible (see attachment). This means that my 6 GB unflashed for Mac is a brick and is useless. My machine will only show a screen or boot with my old Radeon 5770 installed.

Do you have any suggestions to do I have to reload the older Sierra OS? Or when will you be upgrading a patch for this new build of High Sierra?

Thanks for your help.

Aaron

Rajath: The last version of drivers available is compatible with 10.13.6 (17G13035).
Rajath: There are no newer drivers available for build 10.13.6 (17G66).
Aaron Tollin: Ok, I hadn't seen that before. Can you give ne the k]link fopr that download page???
Rajath: https://www.nvidia.com/download/driverResults.aspx/160156/en-us
Aaron Tollin: Sorry for the typos
Aaron Tollin: Thanks




Print the Transcript
Send an 'Off The Record' message
Terminate the Chat
Disconnect
Status: Connected

Rajath (Listening)
Rajath: Hi, my name is Rajath. How may I help you?
Aaron Tollin: I have just upgraded my 2012 Mac Pro to High Sierra from Sierra. My High Sierra build number is 17G66 (I see that “65" is the latest on your site). I get a dialog when installing any of your driver packages that says that it’s incompatible (see attachment). This means that my 6 GB unflashed for Mac is a brick and is useless. My machine will only show a screen or boot with mu old Radeon 5770 installed. Do you have any suggestions to do I have to reload the older Seirra OS? Or when will you be upgrading a patch for this new build of High Seirra? Thanks for your help. Aaron
Rajath: Hello Aaron
Rajath: Please give me a moment here
Aaron Tollin: No problem
Rajath: Sorry to hear that, What is the model of the card?
Aaron Tollin: GTX980TI not flashed for mac, worked with mt Nvidia patch for Sierra.
Rajath: What is the OSX verion?
Rajath: We need to have 17G13035
Rajath: OSX build version"

Any help here would be appreciated.

Thanks.
 
Top